Bug 10699 - $LANG support request
$LANG support request
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-04-10 11:01 EDT by cradford
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-15 14:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cradford 2000-04-10 11:01:09 EDT
Currently RPM does not support the flagging of locale trees in builds.
Additionally, RPM does not support reading of the selected $LANG to
determine what pkg files should or should not be installed.

Proposed enhancements include "flagging" SRPM trees as locale specific,
and RPM installer respecting the tree and default LANG (plus C/posix).
Finally, RPM could "WARN" when the filesets for that locale are
Comment 1 Jeff Johnson 2000-05-08 17:15:59 EDT
I'm not sure what you are asking for. Can you supply a concrete example?

Why should an rpm build care about $LANG at all? RPM certainly neither sets nor
uses that environment variable during build, leaving it up to the packager
to get the environment correct.

RPM supports the flagging of language specific locale trees in packages with,
for example,

	%lang(de) /usr/*/locale/de/LC_MESSAGES/foo.*

RPM during package install uses the macro %_install_langs (rather than LANG
or LC_ALL or ...), to decide what languages should be installed. Using a macro,
rather than LANG/LC_ALL (the previous behavior of rpm) was suggested by others
more i18n aware than I. (note: the value of the macro is a colon separated
list of locales, with special meaning for "all")
Comment 2 Craig Kisely 2000-05-15 14:40:59 EDT
Somehow this bug was changed to reported by someone other than myself.
However...  what I was refering to was not RPM's ability to have an language
file... but what I am seeing (unless I have missed something) is the inability
to only select the language sets I want.  Repeatedly I am deleting or using the
exclude path for all files outside of say /usr/*/local/C/LC_MESSAGES etc..
or /usr/*/local/en_US/LC_MESSAGES and so forth.  In otherwords... I do not need
language files outside of US Enlish... and I have been unable to find in the
documentation a way to not install filesets outside of those I need.
So... unless I have missed the ability to ONLY install the filesets that match
my system or SELECT language sets I want... I still am requesting this ability.
Comment 3 Craig Kisely 2000-05-15 14:43:59 EDT
Ooops... missed one note I wanted to add for comments...  I understand your
comment on leaving it to the developers... but most do not in their pre-install
routines ask if you wish to install a given fileset... so I was looking for rpm
to understand its own designation for %lang(cc) and query the user for specific
language filesets.
Comment 4 Jeff Johnson 2000-05-15 14:54:59 EDT
Yes, bugzilla dropped some bits, I see you've found your bug.

In rpm-3.0.4, if you want, for example, just de and fr, then do something like
	mkdir -p /etc/rpm
	echo 'de:fr' >> /etc/rpm/macros
before installing/upgrading packages.

There are similar mechanisms in earlier versions of rpm. Ping me if you
want me to explain, otherwise upgrade to rpm-3.0.4.
Comment 5 Jeff Johnson 2000-05-15 14:55:59 EDT
Eeek, that should have been

	echo '%_install_langs de:fr' >> /etc/rpm/macros

Note You need to log in before you can comment on or make changes to this bug.